<!-- HTML header for doxygen 1.11.0-->
<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="$langISO">

<head>
  <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=11" />
  <meta name="generator" content="Doxygen $doxygenversion" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <!--BEGIN PROJECT_NAME-->
  <title>$projectname: $title</title><!--END PROJECT_NAME-->
  <!--BEGIN !PROJECT_NAME-->
  <title>$title</title><!--END !PROJECT_NAME-->
  <!--BEGIN PROJECT_ICON-->
  <link rel="icon" href="$relpath^$projecticon" type="image/x-icon" />
  <!--END PROJECT_ICON-->
  <link href="$relpath^tabs.css" rel="stylesheet" type="text/css" />
  <link href="$relpath^custom.css" rel="stylesheet" type="text/css" />
  <!--BEGIN DISABLE_INDEX-->
  <!--BEGIN FULL_SIDEBAR-->
  <script type="text/javascript">var page_layout = 1;</script>
  <!--END FULL_SIDEBAR-->
  <!--END DISABLE_INDEX-->
  <script type="text/javascript" src="$relpath^jquery.js"></script>
  <script type="text/javascript" src="$relpath^dynsections.js"></script>
  <!--BEGIN COPY_CLIPBOARD-->
  <script type="text/javascript" src="$relpath^clipboard.js"></script>
  <!--END COPY_CLIPBOARD-->
  <script type="text/javascript" src="$relpath^doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
    DoxygenAwesomeDarkModeToggle.init()
  </script>
  $treeview
  $search
  $mathjax
  $darkmode
  <link href="$relpath^$stylesheet" rel="stylesheet" type="text/css" />
  $extrastylesheet
</head>

<body>
  <!-- Gitlab-Corner from https://bryce.io/gitlab-corners/ -->
<style>.gitlab-corner-wrapper{overflow:hidden;width:100px;height:100px;position:absolute;top:0;right:0}.gitlab-corner{position:absolute;top:-16px;right:-50px;transform:rotate(45deg);background:#eee;border:#eee solid 44px;border-bottom:none;border-top:#eee solid 16px}.gitlab-corner svg{width:60px;height:60px;margin-bottom:-4px}.cls-r-1{fill:#dd1f26}.cls-r-2{fill:#f36e38}.cls-r-3{fill:#ff8016}.cls-r-4{fill:#009147}.cls-r-5{fill:#2e358e}.cls-r-6{fill:#672f8f}.gitlab-corner:hover .cls-r-1{animation:rC1 .6s}.gitlab-corner:hover .cls-r-2{animation:rC2 .6s}.gitlab-corner:hover .cls-r-3{animation:rC3 .6s}.gitlab-corner:hover .cls-r-4{animation:rC4 .6s}.gitlab-corner:hover .cls-r-5{animation:rC5 .6s}.gitlab-corner:hover .cls-r-6{animation:rC6 .6s}@keyframes rC1{15%{fill:#dd1f26}30%{fill:#f36e38}45%{fill:#ff8016}60%{fill:#009147}75%{fill:#2e358e}90%{fill:#672f8f}100%{fill:#dd1f26}}@keyframes rC2{15%{fill:#f36e38}30%{fill:#ff8016}45%{fill:#009147}60%{fill:#2e358e}75%{fill:#672f8f}90%{fill:#dd1f26}100%{fill:#f36e38}}@keyframes rC3{15%{fill:#ff8016}30%{fill:#009147}45%{fill:#2e358e}60%{fill:#672f8f}75%{fill:#dd1f26}90%{fill:#f36e38}100%{fill:#ff8016}}@keyframes rC4{15%{fill:#009147}30%{fill:#2e358e}45%{fill:#672f8f}60%{fill:#dd1f26}75%{fill:#f36e38}90%{fill:#ff8016}100%{fill:#009147}}@keyframes rC5{15%{fill:#2e358e}30%{fill:#672f8f}45%{fill:#dd1f26}60%{fill:#f36e38}75%{fill:#ff8016}90%{fill:#009147}100%{fill:#2e358e}}@keyframes rC6{15%{fill:#672f8f}30%{fill:#dd1f26}45%{fill:#f36e38}60%{fill:#ff8016}75%{fill:#009147}90%{fill:#2e358e}100%{fill:#672f8f}}</style><a href="https://gitlab.com/brycedorn/gitlab-corners" class="gitlab-corner" aria-label="View source on GitLab"><svg id="logo_art" data-name="logo art" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 586 559"><g id="g44"><path id="path46" class="cls-r-1" d="M461.17,301.83l-18.91-58.12L404.84,128.43a6.47,6.47,0,0,0-12.27,0L355.15,243.64H230.82L193.4,128.43a6.46,6.46,0,0,0-12.26,0L143.78,243.64l-18.91,58.19a12.88,12.88,0,0,0,4.66,14.39L293,435,456.44,316.22a12.9,12.9,0,0,0,4.73-14.39"/></g><g id="g48"><path id="path50" class="cls-r-3" d="M293,434.91h0l62.16-191.28H230.87L293,434.91Z"/></g><g id="g56"><path id="path58" class="cls-r-2" d="M293,434.91,230.82,243.63h-87L293,434.91Z"/></g><g id="g64"><path id="path66" class="cls-r-1" d="M143.75,243.69h0l-18.91,58.12a12.88,12.88,0,0,0,4.66,14.39L293,435,143.75,243.69Z"/></g><g id="g72"><path id="path74" class="cls-r-6" d="M143.78,243.69h87.11L193.4,128.49a6.47,6.47,0,0,0-12.27,0l-37.35,115.2Z"/></g><g id="g76"><path id="path78" class="cls-r-4" d="M293,434.91l62.16-191.28H442.3L293,434.91Z"/></g><g id="g80"><path id="path82" class="cls-r-5" d="M442.24,243.69h0l18.91,58.12a12.85,12.85,0,0,1-4.66,14.39L293,434.91l149.2-191.22Z"/></g><g id="g84"><path id="path86" class="cls-r-6" d="M442.28,243.69h-87.1l37.42-115.2a6.46,6.46,0,0,1,12.26,0l37.42,115.2Z"/></g></svg></a>  <!-- Mermaid integration -->
  <script src="$relpath^mermaid.min.js"></script>
  <script>
    // Function to set the Mermaid theme
    function setMermaidTheme() {

      // Based on the selection of the theme, apply the same theme for Mermaid
      const theme = DoxygenAwesomeDarkModeToggle.userPreference ? "dark" : "default"; // 'default' is Mermaid's light theme
      // Initialize or update Mermaid's configuration
      mermaid.initialize({
        startOnLoad: true,
        theme: theme
      });
    }

    // Set theme on page load
    setMermaidTheme();

    // Listen for changes in the user's color scheme preference
    window.matchMedia('(prefers-color-scheme: dark)').addEventListener('change', event => {
      setMermaidTheme()
    });
  </script>

  <div id="top"><!-- do not remove this div, it is closed by doxygen! -->

    <!--BEGIN TITLEAREA-->
    <div id="titlearea">
      <table cellspacing="0" cellpadding="0">
        <tbody>
          <tr style="height: 56px;">
            <!--BEGIN PROJECT_LOGO-->
            <td id="projectlogo"><img alt="Logo" src="$relpath^$projectlogo" /></td>
            <!--END PROJECT_LOGO-->
            <!--BEGIN PROJECT_NAME-->
            <td id="projectalign" style="padding-left: 0.5em;">
              <div id="projectname">$projectname
                <!--BEGIN PROJECT_NUMBER-->&#160;<span id="projectnumber">$projectnumber</span><!--END PROJECT_NUMBER-->
              </div>
              <!--BEGIN PROJECT_BRIEF-->
              <div id="projectbrief">$projectbrief</div><!--END PROJECT_BRIEF-->
            </td>
            <!--END PROJECT_NAME-->
            <!--BEGIN !PROJECT_NAME-->
            <!--BEGIN PROJECT_BRIEF-->
            <td style="padding-left: 0.5em;">
              <div id="projectbrief">$projectbrief</div>
            </td>
            <!--END PROJECT_BRIEF-->
            <!--END !PROJECT_NAME-->
            <!--BEGIN DISABLE_INDEX-->
            <!--BEGIN SEARCHENGINE-->
            <td>$searchbox</td>
            <!--END SEARCHENGINE-->
            <!--END DISABLE_INDEX-->
          </tr>
        </tbody>
      </table>
    </div>
    <!--END TITLEAREA-->
    <!-- end header part -->